package com.hfkj.service.discount;

import com.hfkj.entity.BsDiscount;
import com.hfkj.entity.BsDiscountPk;
import com.hfkj.entity.BsDiscountPkRel;

import java.util.List;
import java.util.Map;

/**
 * @className: BsDiscountPkService
 * @author: HuRui
 * @date: 2024/9/2
 **/
public interface BsDiscountPkService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsDiscountPk data);

    /**
     * 创建优惠券包
     * @param discountPk
     * @param pkRelList
     */
    void edit(BsDiscountPk discountPk, List<BsDiscountPkRel> pkRelList);

    /**
     * 查询详情
     * @param discountPkNo
     * @return
     */
    BsDiscountPk getDetail(String discountPkNo);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsDiscountPk> getList(Map<String,Object> param);
}
